summaryrefslogtreecommitdiffstats
path: root/source/x/compiz/compiz.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2023-12-14 20:09:31 +0000
committer Eric Hameleers <alien@slackware.com>2023-12-14 22:04:49 +0100
commit20d89644642c8df3429244b1b2ca8935b1cda137 (patch)
tree7149053bde715367ce46046ccef7acbfa9931683 /source/x/compiz/compiz.SlackBuild
parent43fc23c54424cd3257be1bd2964765b44c7a7845 (diff)
downloadcurrent-20d89644642c8df3429244b1b2ca8935b1cda137.tar.gz
current-20d89644642c8df3429244b1b2ca8935b1cda137.tar.xz
Thu Dec 14 20:09:31 UTC 202320231214200931
l/libxml2-2.12.3-x86_64-2.txz: Rebuilt. Rebuilt using the --with-legacy option (maximum ABI compatibility) and --with-ftp option (functionality included by default in libxml2 2.9). n/bluez-5.71-x86_64-1.txz: Upgraded. This update fixes a security issue: It may have been possible for an attacker within Bluetooth range to inject keystrokes (and possibly execute commands) while devices were discoverable. Thanks to marav for the heads-up. For more information, see: https://www.cve.org/CVERecord?id=CVE-2023-45866 (* Security fix *) x/compiz-0.8.18-x86_64-4.txz: Rebuilt. Patched to work properly with libxml2-2.12.3. Thanks to saxa.
Diffstat (limited to '')
-rwxr-xr-xsource/x/compiz/compiz.SlackBuild7
1 files changed, 5 insertions, 2 deletions
diff --git a/source/x/compiz/compiz.SlackBuild b/source/x/compiz/compiz.SlackBuild
index 842ced5f8..9e34a28ac 100755
--- a/source/x/compiz/compiz.SlackBuild
+++ b/source/x/compiz/compiz.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/bash
-# Copyright 2019 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2019, 2023 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=compiz
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -85,6 +85,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Fix for libxml2-2.12:
+zcat $CWD/175.patch.gz | patch -p1 --verbose || exit 1
+
if [ ! -r configure ]; then
NOCONFIGURE=1 ./autogen.sh
fi